package br.com.impl.knowledge;

import org.drools.KnowledgeBase;
import org.drools.builder.KnowledgeBuilder;
import org.drools.builder.KnowledgeBuilderFactory;
import org.drools.builder.ResourceType;
import org.drools.io.ResourceFactory;

import br.com.api.knowledge.EasyPieKnowledgeBaseInterface;

public class EasyPieKnowledgeBaseImpl implements EasyPieKnowledgeBaseInterface {

	/**
	 * Retorna o KnowledgeBase do processo fornecido.
	 * 
	 * @params
	 *         resourcePath - caminho do arquivo de processo
	 *         resourceType - tipo de arquivo de processo
	 */
	public KnowledgeBase readKnowledgeBase() {

		KnowledgeBuilder kbuilder = KnowledgeBuilderFactory.newKnowledgeBuilder();
		kbuilder.add(ResourceFactory.newClassPathResource("defaultPackage.DemoProcess.bpmn2"), ResourceType.BPMN2);
		return kbuilder.newKnowledgeBase();
	}

}
